#
# spec file for package nautilus-open-terminal (Version 0.6)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    Mesa Mesa-devel aaa_base acl alsa alsa-devel atk atk-devel attr audiofile audiofile-devel audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 cairo cairo-devel coreutils cpio cpp cracklib cups-libs cvs cyrus-sasl db dbus-1 dbus-1-devel dbus-1-glib desktop-translations diffutils e2fsprogs eel esound esound-devel expat file filesystem fillup findutils flex fontconfig fontconfig-devel freetype2 freetype2-devel gail gawk gcc gconf2 gconf2-devel gdbm gdbm-devel gettext gettext-devel glib2 glib2-devel glibc glibc-devel glibc-locale glitz glitz-devel gnome-desktop gnome-desktop-devel gnome-filesystem gnome-icon-theme gnome-keyring gnome-keyring-devel gnome-menus gnome-vfs2 gnome-vfs2-devel gnome2-user-docs gnutls gnutls-devel gpm grep groff gtk2 gtk2-devel gzip hal hal-devel info insserv intltool klogd less libacl libart_lgpl libart_lgpl-devel libattr libbeagle libbonobo libbonobo-devel libbonoboui libbonoboui-devel libcom_err libcroco libdrm libexif libgcc libgcrypt libgcrypt-devel libglade2 libglade2-devel libgnome libgnome-devel libgnomecanvas libgnomecanvas-devel libgnomeprint libgnomeprint-devel libgnomeprintui libgnomeprintui-devel libgnomesu libgnomeui libgnomeui-devel libgpg-error libgpg-error-devel libgsf libjpeg libjpeg-devel libnscd libpng libpng-devel librsvg libstdc++ libtiff libtool libusb libwnck libwnck-devel libxcrypt libxml2 libxml2-devel libzio m4 mDNSResponder-devel mDNSResponder-lib make man mktemp module-init-tools nautilus nautilus-devel ncurses ncurses-devel net-tools netcfg openldap2-client openmotif-libs openssl openssl-devel orbit2 orbit2-devel pam pam-modules pango pango-devel patch perl perl-XML-Parser permissions pkgconfig popt popt-devel procinfo procps psmisc pwdutils rcs readline resmgr rpm sed shared-mime-info startup-notification startup-notification-devel strace sysvinit tar tcpd texinfo timezone unzip update-desktop-files util-linux vim xorg-x11-devel xorg-x11-libs zlib zlib-devel

Name:           nautilus-open-terminal
BuildRequires:  gnome-desktop-devel gnutls-devel intltool libglade2-devel libgnomeprintui-devel libwnck-devel mDNSResponder-devel nautilus-devel perl-XML-Parser update-desktop-files
Version:        0.6
Release:        16.4
URL:            http://manny.cluecoder.org/packages/nautilus-open-terminal/
Group:          System/GUI/GNOME
License:        GPL
Summary:        Nautilus Open Terminal
Source:         %{name}-%{version}.tar.bz2
Patch:          %{name}-decl.patch
Patch2:         %{name}-lockdown.patch
Autoreqprov:    on
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Nautilus extension that allows you to open a terminal in arbitrary
local folders.



Authors:
--------
    Christian Neumair <chris@gnome-de.org>

%debug_package
%prep
%setup
%patch
%patch2 -p1
rm po/no.*
sed -i "s/\(ALL_LINGUAS.*\) no /\1 /" configure.in

%build
autoreconf -f -i
export CFLAGS="$RPM_OPT_FLAGS"
./configure\
	--prefix=/opt/gnome\
	--libdir=/opt/gnome/%{_lib}
make %{?jobs:-j%jobs}

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
%find_lang %{name}
rm $RPM_BUILD_ROOT/opt/gnome/%{_lib}/nautilus/extensions-1.0/*.*a

%clean
rm -rf $RPM_BUILD_ROOT

%post

%files -f %{name}.lang
%defattr (-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
/opt/gnome/%{_lib}/nautilus/extensions-1.0/*.so

%changelog -n nautilus-open-terminal
* Fri May 19 2006 - dave@suse.de
- Added support for the disable_command_line lockdown key.
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Jan 18 2006 - sbrabec@suse.cz
- Updated to version 0.6.
* Thu Aug 11 2005 - sbrabec@suse.cz
- New SuSE package (#103995, #99703).
